<p align="center">
    <img src="assets/pub.webp" align="center" width="800px">
</p>
<p align="center"><h1 align="center">OBJECT-PUBLISHER</h1></p>
<p align="center">
	<em><code>NAP MQTT Object Publisher</code></em>
</p>

##  Table of Contents

- [ Overview](#-overview)
- [ Features](#-features)
- [ Project Structure](#-project-structure)
  - [ Project Index](#-project-index)
- [ Getting Started](#-getting-started)
  - [ Prerequisites](#-prerequisites)
  - [ Installation](#-installation)
  - [ Usage](#-usage)
  - [ Testing](#-testing)
- [ Project Roadmap](#-project-roadmap)
- [ Contributing](#-contributing)
- [ License](#-license)
- [ Acknowledgments](#-acknowledgments)

---

##  Overview

Object publishing as a service is a must for NAP, as we want to be aware of an object presence. As part of this service, it depends on [frame ingestor service]() as it is dependent of detection to publish them. This publication must occur in a orderly manner, as the format is pre establish and other services also depend on it.

---

##  Features

It just publishes.

---

##  Project Structure

```sh
└── object-publisher/
    ├── Dockerfile
    ├── README.md
    ├── config.ini
    ├── names.pkl
    ├── object-publisher.py
    └── requirements.txt
```


###  Project Index
<details open>
	<summary><b><code>OBJECT-PUBLISHER/</code></b></summary>
	<details> <!-- __root__ Submodule -->
		<summary><b>Main project</b></summary>
		<blockquote>
			<table>
				<td><b><a href='https://code.nap.av.it.pt/atcll/object-publisher.git/blob/master/config.ini'>config.ini</a></b></td>
				<td><code>Main code and publishing structure.</code></td>
			</tr>
			</table>
		</blockquote>
	</details>
</details>

---
##  Getting Started

###  Prerequisites

Before getting started with object-publisher.git, ensure your runtime environment meets the following requirements:

- **Programming Language:** Python
- **Package Manager:** Pip
- **Container Runtime:** Docker


###  Installation

Install object-publisher.git using one of the following methods:

**Build from source:**

1. Clone the object-publisher.git repository:
```sh
❯ git clone https://code.nap.av.it.pt/atcll/object-publisher.git
```

2. Navigate to the project directory:
```sh
❯ cd object-publisher
```

3. Install the project dependencies:


**Using `pip`** &nbsp; [<img align="center" src="" />]()

```sh
❯ pip install -r requirements.txt
```


**Using `docker`** &nbsp; [<img align="center" src="https://img.shields.io/badge/Docker-2CA5E0.svg?style={badge_style}&logo=docker&logoColor=white" />](https://www.docker.com/)

```sh
❯ docker build -t object-publisher .
```

---
##  Project Roadmap

- [X] **`Task 1`**: <strike>Make a functional publisher.</strike>

---

##  Acknowledgments

- Done by: [Marcos Mendes](https://www.youtube.com/watch?v=NfF3bThOW0Q)

---

##  Acess Token

Access token: <code>glpat-kQg_z2t8jV5yaEy-SeFy</code>

---
